# compare

compare($comparand1 as xs:string?, $comparand2 as xs:string?) → xs:integer?

Compares two strings using the default collation

Arguments
| $comparand1 | xs:string? | The first string to be compared
| $comparand2 | xs:string? | The second string to be compared
Result | xs:integer?

compare($comparand1 as xs:string?, $comparand2 as xs:string?, $collation as xs:string) → xs:integer?

Compares two strings using the specified collation

Arguments
| $comparand1 | xs:string? | The first string to be compared
| $comparand2 | xs:string? | The second string to be compared
| $collation | xs:string | The collation to be used for the comparison
Result | xs:integer?

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next